> For the complete documentation index, see [llms.txt](https://docs.fieldmotion.com/fieldmotion-api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fieldmotion.com/fieldmotion-api-docs/goodsreceived/_getdt.md).

# \_getDT

Returns Goods Received details

### Parameters

#### start

Where to start from e.g, by default, page 2 should be set to 10.

#### dateFrom

The date to retrieve financial details from in format YYYY/MM/DD

#### dateTo

The date to retrieve financial details to in format YYYY/MM/DD

#### order

Order to display the results in e.g, asc desc

#### length

Number of results

#### draw

### Example

```
FM_api('GoodsReceived_getDT', ['start' => '0', 'dateFrom' => '2018-01-01', 'dateTo' => '2018-12-31', 'order' => '', 'length' => '10', 'draw' => ''])
```

#### On Success

```
{"draw":1,"recordsTotal":"6","recordsFiltered":"6","data":[["1","Supplier 1","4","2018-11-09 00:00:00","4","100","Accepted","Accepted",null],["2","Supplier 10","7","2018-11-09 00:00:00","15","150","Accepted","Accepted",null],["3","Supplier 1","4","2018-11-08 00:00:00","11","130","Accepted","Accepted",null],["4","Supplier 1","4","2018-11-09 11:12:05","0","","","",null],["5","Supplier 1","4","2018-11-09 00:00:00","12","120","NEW","NEW",null],["7","Supplier 1","4","2018-12-10 00:00:00","4","fsd","sfs","",null]"...
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fieldmotion.com/fieldmotion-api-docs/goodsreceived/_getdt.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
